---
updatedAt: 2025-09-14T23:43:37.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Creates a new class by ID

The mobile device list is not used by this operation, the mobile device group is used instead.

```xml Sample Request Body
<class>
	<source>N/A</source>
	<name>Math 101</name>
	<description>string</description>
	<site>
		<id>-1</id>
		<name>None</name>
	</site>
	<meeting_times>
		<meeting_time>
			<days>M W F</days>
			<start_time>1300</start_time>
			<end_time>1345</end_time>
		</meeting_time>
	</meeting_times>
</class>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/classes/id/{id}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "classes"
        ],
        "summary": "Creates a new class by ID",
        "description": "The mobile device list is not used by this operation, the mobile device group is used instead.",
        "operationId": "createClassById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer",
              "default": 0
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```